Summary: A GNU general-purpose parser generator.
Name: bison
Version: 1.875
Release: 10tr
License: GPL
Group: Trustix Official
Source: ftp://ftp.gnu.org/gnu/bison/bison-%{version}.tar.bz2
Requires: m4
BuildRequires: /usr/bin/makeinfo
PreReq: htmlinfo
BuildRoot: /var/tmp/%{name}-root
Patch0: yacc.c.diff

%description
Bison is a general purpose parser generator which converts a grammar
description for an LALR(1) context-free grammar into a C program to parse
that grammar.  Bison can be used to develop a wide range of language
parsers, from ones used in simple desk calculators to complex programming
languages.  Bison is upwardly compatible with Yacc, so any correctly
written Yacc grammar should work with Bison without any changes.  If
you know Yacc, you shouldn't have any trouble using Bison. You do need
to be very proficient in C programming to be able to use Bison).  Bison 
is only needed on systems that are used for development.

If your system will be used for C development, you should install Bison
since it is used to build many C programs.

%prep
%setup -q
%patch0 -p2

%build
%configure 
make LDFLAGS=-s

# HTMLise info
cd doc
makeinfo --html --no-split bison.texinfo

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
make DESTDIR=${RPM_BUILD_ROOT} install 

strip ${RPM_BUILD_ROOT}%{_prefix}/bin/* || true
mkdir -p $RPM_BUILD_ROOT/usr/share/html/%{name}
install -m 644 doc/%{name}.html $RPM_BUILD_ROOT/usr/share/html/%{name}/

# Let byacc provice yacc alone:
rm $RPM_BUILD_ROOT/%{_prefix}/bin/yacc

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%post
/usr/sbin/htmlinfo_update.sh

%postun
/usr/sbin/htmlinfo_update.sh

%files
%defattr(-,root,root)
%{_mandir}/*/*
%{_prefix}/share/bison
%{_prefix}/share/html/%{name}
%{_prefix}/bin/*

%changelog
* Fri Dec 12 2003 Erlend Midttun <erlendbm at trustix dot com> 1.875-8tr
- Big rebuild

* Wed Jun 18 2003 Erlend Midttun <erlendbm at trustix dot com> 1.875-7tr
- Big rebuild

* Thu May 22 2003 Erlend Midttun <erlendbm at trustix dot com> 1.875-6em
- Req: m4

* Wed Apr  9 2003 Gerald Dachs <gda at trustix dot org> 1.875-5gd
- Added PreReq on htmlinfo 

* Mon Mar 24 2003 Erlend Midttun <erlendbm at trustix dot com> 1.875-4em
- Rebuilt against glibc 2.3.2.

* Wed Mar 12 2003 Ken A. Redergrd <kenr at trustix dot com> 1.875-3kr
- Added patch that lets g++3.2 compile bison generated code

* Thu Feb  6 2003 Christian H. Toldnes <christht at trustix dot com> 1.875-2ct
- Let byacc provide /usr/bin/yacc

* Sun Jan 12 2003 Goetz Bock <bock at trustix dot org> 1.875-1bg
- new upstream: 1.875

* Thu Oct 24 2002 Christian H. Toldnes <christht at trustix dot com> 1.75-2ct
- introduced htmlinfo.

* Sun Oct 20 2002 Goetz Bock <bock at trustix dot org>1.75-1bg
- new upstream version
- removed info

* Thu Jul 25 2002 Nico Erfurth <masta at trustix dot org> 1.35-1ne
- new upstream version
- cleaned specfile
- bison.parsers are in /usr/share/bison now

* Tue Jul 23 2002 Daniel Meyer <eagle@cyberdelia.de> 1.28-5dm
- rebuild for Trustix Secure Linux 2.0

* Mon Feb 28 2000 Lars Gaarden <larsg at trustix dot com>
- moved info-files to /usr/share/info

* Thu Feb 03 2000 Preston Brown <pbrown@redhat.com> 
- rebuild to gzip man page.

* Fri Jul 16 1999 Jeff Johnson <jbj@redhat.com>
- update to 1.28.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 3)

* Mon Mar  8 1999 Jeff Johnson <jbj@redhat.com>
- configure with datadir=/usr/lib (#1386).

* Mon Feb 22 1999 Jeff Johnson <jbj@redhat.com>
- updated text in spec file.
- update to 1.27

* Thu Dec 17 1998 Cristian Gafton <gafton@redhat.com>
- build for glibc 2.1

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Apr 08 1998 Cristian Gafton <gafton@redhat.com>
- built for Manhattan
- added build root

* Wed Oct 15 1997 Donnie Barnes <djb@redhat.com>
- various spec file cleanups

* Mon Jun 02 1997 Erik Troan <ewt@redhat.com>
- built against glibc

